Subject: Re: [PATCH] fix natsemi PCI mapping

From: Jeff Garzik <[email-masked]>
Date: Tue, 16 Mar 2004 14:20:20 -0500

Steven J. Hill wrote:
> Jeff Garzik wrote:
> 
>>
>> Somebody wanna review and/or test?
>>
> Hey Jeff.
> 
> I have tested this on 2.4 and it works great on MIPS with one
> minor change below. Remove the 16 byte alignment of the IP
> header. I discovered this when trying to do a BOOTP and mount
> my NFS root filesystem. The BOOTP never succeeds. Patch against
> latest 2.4.25 attached.

Interesting, thanks.

WRT skb_reserve(), I wonder if

(a) RX_OFFSET value passed to skb_reserve() needs to be per-arch
(b) the pre-existing skb_reserve() call is wrong too